using SqlSugar;
using System;
using System.Collections.Generic;
using System.Runtime.Serialization;
using System.Text;

namespace SlnMesnac.Model.domain
{
    [SugarTable("prod_plan_detail"), TenantAttribute("mes")]
    [DataContract(Name = "ProdPLanDetail 员工信息")]
    public class ProdPlanDetail
    {
        /// <summary>
        /// 
        /// </summary>
        [SugarColumn(ColumnName = "obj_id", IsPrimaryKey = true, IsIdentity = true)]
        public int ObjId { get; set; }

        /// <summary>
        /// 工单编号
        /// </summary>
        [SugarColumn(ColumnName = "plan_code")]
        public string PlanCode { get; set; }

        /// <summary>
        /// 物料编号
        /// </summary>
        [SugarColumn(ColumnName = "material_code")]
        public string MaterialCode { get; set; }

        /// <summary>
        /// 计划完成数
        /// </summary>
        [SugarColumn(ColumnName = "plan_amount")]
        public string PlanAmount { get; set; }

        /// <summary>
        /// 实际完成数
        /// </summary>
        [SugarColumn(ColumnName = "complete_amount")]
        public string CompleteAmount { get; set; }

        /// <summary>
        /// 开始时间
        /// </summary>
        [SugarColumn(ColumnName = "begin_time")]
        public string BeginTime { get; set; }

        /// <summary>
        /// 结束时间
        /// </summary>
        [SugarColumn(ColumnName = "end_time")]
        public string EndTime { get; set; }

        /// <summary>
        /// 当前班组长
        /// </summary>
        [SugarColumn(ColumnName = "current_staff_id")]
        public string CurrentStaffId { get; set; }

        /// <summary>
        /// 下一班组长
        /// </summary>
        [SugarColumn(ColumnName = "next_staff_id")]
        public string NextStaffId { get; set; }

        /// <summary>
        /// 结束标志
        /// </summary>
        [SugarColumn(ColumnName = "end_flag")]
        public string EndFlag { get; set; }

        /// <summary>
        /// 创建人
        /// </summary>
        [SugarColumn(ColumnName = "created_by")]
        public string CreatedBy { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        [SugarColumn(ColumnName = "created_time")]
        public string CreatedTime { get; set; }

        /// <summary>
        /// 更新人
        /// </summary>
        [SugarColumn(ColumnName = "updated_by")]
        public string UpdatedBy { get; set; }

        /// <summary>
        /// 更新时间
        /// </summary>
        [SugarColumn(ColumnName = "updated_time")]
        public string UpdatedTime { get; set; }

        /// <summary>
        /// 批次号锅数
        /// </summary>
        [SugarColumn(ColumnName = "batch_number")]
        public int BatchNumber { get; set; }
    }
}
